Bug 223418 - JMB361: dma_base is invalid - causes hard lock just as the 2.6.19 kernel boots
Summary: JMB361: dma_base is invalid - causes hard lock just as the 2.6.19 kernel boots
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-19 02:32 UTC by Brett Hoerner
Modified: 2008-02-08 04:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:29:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 128633 None None None Never

Internal Links: 224186

Description Brett Hoerner 2007-01-19 02:32:06 UTC
Description of problem:

After upgrading to kernel 2.6.19-1.2895 (and everything else up to date as of
01/18/07) I get the following message just after grub boots the kernel:

JMB361: dma_base is invalid
JMB361: dma_base is invalid

Then it hard locks, the HD light stays on full (see referenced ticket, this
happened to others before) and it stays there forever.  Does it every time,
going back to the old kernel 2.6.18-1.2869 works.

Version-Release number of selected component (if applicable):

2.6.19-1.2895

Additional info:

HD:  Western Digital Caviar WD2500KS
Motherboard:  GIGABYTE GA-965P-S3, info here:
http://www.gigabyte.com.tw/Products/Motherboard/Products_Spec.aspx?ClassValue=Motherboard&ProductID=2321&ProductName=GA-965P-S3

Comment 1 Brett Hoerner 2007-01-19 02:57:01 UTC
Without 'quiet' on,

JMB361: chipset revision 2
JMB361: 100% native mode on irq 17
JMB361: dma_base is invalid
ide0: JMB361 Bus-Master DMA disabled (BIOS)

---

It booted properly when I set an option in BIOS (although it worked fine the
other way in 2.6.18 if you recall),

SATA Port0-3 Native Mode: Native IDE

(it was previously set to Legacy IDE)

Comment 2 Karsten Nyblad 2007-01-27 14:33:18 UTC
I had the same problem and bypassed it by changing the BIOS option as described
by  Brett Hoerner.

I get the same error messages on JMB361 as Brett Hoerner.

Comment 3 Konstantin 2007-03-01 19:01:57 UTC
I have the same problem (kernel-2.6.19-1.2911.fc6, GIGABYTE GA-965P-S3
motherboard). Brett's method allowed me to boot, but error message still appears
twice:
JMB363: dma_base is invalid
Also, older kernel worked fine.

Comment 4 Jon Stanley 2008-01-08 01:55:46 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 5 Jon Stanley 2008-02-08 04:29:07 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.